# Source code for azure.mgmt.notificationhubs.models.gcm_credential_properties

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class GcmCredentialProperties(Model):
        """Description of a NotificationHub GcmCredential.

        :param gcm_endpoint: Gets or sets the GCM endpoint.
        :type gcm_endpoint: str
        :param google_api_key: Gets or sets the Google API key.
        :type google_api_key: str
        """

        _attribute_map = {
            'gcm_endpoint': {'key': 'gcmEndpoint', 'type': 'str'},
            'google_api_key': {'key': 'googleApiKey', 'type': 'str'},
        }

        def __init__(self, gcm_endpoint=None, google_api_key=None):
            self.gcm_endpoint = gcm_endpoint
            self.google_api_key = google_api_key